Summary:	Multitouch X input driver
Name:		xorg-driver-input-mtrack
Version:	0.3.1
Release:	3
Epoch:		1
License:	GPL v2+
Group:		X11/Applications
URL:		https://github.com/BlueDragonX/xf86-input-mtrack
Source0:	https://github.com/BlueDragonX/xf86-input-mtrack/archive/v%{version}.tar.gz?/mtrack-%{version}.tgz
# Source0-md5:	cc99ea395ec588a790d2145815f48fa2
Source1:	xf86-input-mtrack.conf
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	mtdev-devel >= 1.1.0
BuildRequires:	xorg-util-util-macros
BuildRequires:	xorg-xserver-server-devel
%{?requires_xorg_xserver_xinput}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This X input driver provides gestures support for multitouch
touchpads, in particular those with integrated button.

%prep
%setup -q -n xf86-input-mtrack-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/etc/X11/xorg.conf.d
cp -p %{SOURCE1} $RPM_BUILD_ROOT/etc/X11/xorg.conf.d/40-xf86-input-mtrack.conf

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/input/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md CREDITS
%config(noreplace) %verify(not md5 mtime size) /etc/X11/xorg.conf.d/40-xf86-input-mtrack.conf
%attr(755,root,root) %{_libdir}/xorg/modules/input/mtrack_drv.so
%changelog
* Sun Nov 20 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-driver-input-mtrack.git;a=log;h=master

* Sun Nov 20 2016 Jan Rękorajski <baggins@pld-linux.org> 1f6afb1
- release 3 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> d9c7fe5
- release 2 (by relup.sh)

* Sat May 16 2015 Jan Rękorajski <baggins@pld-linux.org> 0631ced
- up to 0.3.1

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> d45e6f5
- xserver rebuild
- release 5 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> cef9fd2
- xserver rebuild
- release 4 (by relup.sh)

* Fri Jan 03 2014 Jan Rękorajski <baggins@pld-linux.org> b10d095
- release 3 (by relup.sh)

* Mon Mar 11 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 9132f6d
- release 2 (by relup.sh)

* Sun Feb 17 2013 Elan Ruusamäe <glen@delfi.ee> 91a350f
- outdated

* Sun Feb 17 2013 Elan Ruusamäe <glen@delfi.ee> c624cab
- up to 0.3.0 release

* Sat Feb 16 2013 Elan Ruusamäe <glen@delfi.ee> 38f9493
- fill configuration options to config

* Mon Feb 04 2013 Elan Ruusamäe <glen@delfi.ee> dacc34f
- add md5

* Sun Feb 03 2013 Elan Ruusamäe <glen@delfi.ee> 1b31c0e
- new, version 1.0-rc2 (20120115)

* Sun Feb 03 2013 Elan Ruusamäe <glen@delfi.ee> d4efeef
- new, version 1.0rc2 (20110303)

